package alx.p40_io;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Arrays;

public class Czytaj2 {
	// Zazwyczaj dane czyta się większymi porcjami - żeby było szybciej

	public static void main(String[] args) {
		try {
			InputStream in = new FileInputStream("plik.txt");
			
			byte[] bufor = new byte[128];
			while(true) {
				
				int ile = in.read(bufor);
				if(ile == -1)
					break;
				System.out.println("Kolejna porcja: (" + ile + ") : "
						+ Arrays.toString(bufor));
			}
			
			in.close();
		} catch (IOException e) {  // to tez lapie FileNotFoundException
			e.printStackTrace();
		}
	}
}
